package de.hdm_stuttgart.battlearena.Model.DataStorage.Classes;

public class MapInfo {

    private String mapID;
    private String mapName;
    private int mapWidth;   //included for future use (to allow maps of different size)
    private int mapHeight;  //included for future use (to allow maps of different size)
    private int mapDownloads; //only used for communityMapsList

    protected MapInfo(String mapID, String mapName, int mapWidth, int mapHeight, int mapDownloads) {
            this.mapID = mapID;
            this.mapName = mapName;
            this.mapWidth = mapWidth;
            this.mapHeight = mapHeight;
            this.mapDownloads = mapDownloads;
    }

    public String getMapID() {
        return mapID;
    }

    public String getMapName() {
        return mapName;
    }

    public int getMapWidth() {
        return mapWidth;
    }

    public int getMapHeight() {
        return mapHeight;
    }

    public int getMapDownloads() {
        return mapDownloads;
    }

}

