package de.hdm_stuttgart.battlearena.Model.DataStorage.Classes;

import de.hdm_stuttgart.battlearena.Model.DataStorage.Classes.ENUMs.ThreadStatus;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class Threads {

    private static final Logger log = LogManager.getLogger(Threads.class);
    private static final Threads threadsSingleton = new Threads();

    //Thread Status-Updates
    private ThreadStatus threadStartup1;
    private String threadStartup1Msg;
    private ThreadStatus threadStartup2;
    private String threadStartup2Msg;
    private ThreadStatus threadStartup3;
    private String threadStartup3Msg;
    private ThreadStatus threadUpdateMaps;
    private String threadUpdateMapsMsg;
    private ThreadStatus threadUpdateStats;
    private String threadUpdateStatsMsg;
    private ThreadStatus threadDLCommMap;
    private String threadDLCommMapMsg;
    private ThreadStatus threadSaveCommMap;
    private String threadSaveCommMapMsg;
    private ThreadStatus threadCommMapList;
    private String threadCommMapListMsg;
    private ThreadStatus threadRstStats;
    private String threadRstStatsMsg;
    private ThreadStatus threadSaveStats;
    private String threadSaveStatsMsg;
    private ThreadStatus threadCreateAcc;
    private String threadCreateAccMsg;
    private ThreadStatus threadLogin;
    private String threadLoginMsg;



    private Threads(){};
    public static Threads getInstance(){
        return threadsSingleton;
    }

    public ThreadStatus getThreadStartup1() {
        return threadStartup1;
    }

    public void setThreadStartup1(ThreadStatus threadStartup1) {
        this.threadStartup1 = threadStartup1;
    }

    public String getThreadStartup1Msg() {
        return threadStartup1Msg;
    }

    public void setThreadStartup1Msg(String threadStartup1Msg) {
        this.threadStartup1Msg = threadStartup1Msg;
    }

    public ThreadStatus getThreadStartup2() {
        return threadStartup2;
    }

    public void setThreadStartup2(ThreadStatus threadStartup2) {
        this.threadStartup2 = threadStartup2;
    }

    public String getThreadStartup2Msg() {
        return threadStartup2Msg;
    }

    public void setThreadStartup2Msg(String threadStartup2Msg) {
        this.threadStartup2Msg = threadStartup2Msg;
    }

    public ThreadStatus getThreadUpdateMaps() {
        return threadUpdateMaps;
    }

    public ThreadStatus getThreadStartup3() {
        return threadStartup3;
    }

    public void setThreadStartup3(ThreadStatus threadStartup3) {
        this.threadStartup3 = threadStartup3;
    }

    public String getThreadStartup3Msg() {
        return threadStartup3Msg;
    }

    public void setThreadStartup3Msg(String threadStartup3Msg) {
        this.threadStartup3Msg = threadStartup3Msg;
    }

    public void setThreadUpdateMaps(ThreadStatus threadUpdateMaps) {
        this.threadUpdateMaps = threadUpdateMaps;
    }

    public String getThreadUpdateMapsMsg() {
        return threadUpdateMapsMsg;
    }

    public void setThreadUpdateMapsMsg(String threadUpdateMapsMsg) {
        this.threadUpdateMapsMsg = threadUpdateMapsMsg;
    }

    public ThreadStatus getThreadUpdateStats() {
        return threadUpdateStats;
    }

    public void setThreadUpdateStats(ThreadStatus threadUpdateStats) {
        this.threadUpdateStats = threadUpdateStats;
    }

    public String getThreadUpdateStatsMsg() {
        return threadUpdateStatsMsg;
    }

    public void setThreadUpdateStatsMsg(String threadUpdateStatsMsg) {
        this.threadUpdateStatsMsg = threadUpdateStatsMsg;
    }

    public ThreadStatus getThreadDLCommMap() {
        return threadDLCommMap;
    }

    public void setThreadDLCommMap(ThreadStatus threadDLCommMap) {
        this.threadDLCommMap = threadDLCommMap;
    }

    public String getThreadDLCommMapMsg() {
        return threadDLCommMapMsg;
    }

    public void setThreadDLCommMapMsg(String threadDLCommMapMsg) {
        this.threadDLCommMapMsg = threadDLCommMapMsg;
    }

    public ThreadStatus getThreadSaveCommMap() {
        return threadSaveCommMap;
    }

    public void setThreadSaveCommMap(ThreadStatus threadSaveCommMap) {
        this.threadSaveCommMap = threadSaveCommMap;
    }

    public String getThreadSaveCommMapMsg() {
        return threadSaveCommMapMsg;
    }

    public void setThreadSaveCommMapMsg(String threadSaveCommMapMsg) {
        this.threadSaveCommMapMsg = threadSaveCommMapMsg;
    }

    public ThreadStatus getThreadCommMapList() {
        return threadCommMapList;
    }

    public void setThreadCommMapList(ThreadStatus threadCommMapList) {
        this.threadCommMapList = threadCommMapList;
    }

    public String getThreadCommMapListMsg() {
        return threadCommMapListMsg;
    }

    public void setThreadCommMapListMsg(String threadCommMapListMsg) {
        this.threadCommMapListMsg = threadCommMapListMsg;
    }

    public ThreadStatus getThreadRstStats() {
        return threadRstStats;
    }

    public void setThreadRstStats(ThreadStatus threadRstStats) {
        this.threadRstStats = threadRstStats;
    }

    public String getThreadRstStatsMsg() {
        return threadRstStatsMsg;
    }

    public void setThreadRstStatsMsg(String threadRstStatsMsg) {
        this.threadRstStatsMsg = threadRstStatsMsg;
    }

    public ThreadStatus getThreadSaveStats() {
        return threadSaveStats;
    }

    public void setThreadSaveStats(ThreadStatus threadSaveStats) {
        this.threadSaveStats = threadSaveStats;
    }

    public String getThreadSaveStatsMsg() {
        return threadSaveStatsMsg;
    }

    public void setThreadSaveStatsMsg(String threadSaveStatsMsg) {
        this.threadSaveStatsMsg = threadSaveStatsMsg;
    }

    public ThreadStatus getThreadCreateAcc() {
        return threadCreateAcc;
    }

    public void setThreadCreateAcc(ThreadStatus threadCreateAcc) {
        this.threadCreateAcc = threadCreateAcc;
    }

    public String getThreadCreateAccMsg() {
        return threadCreateAccMsg;
    }

    public void setThreadCreateAccMsg(String threadCreateAccMsg) {
        this.threadCreateAccMsg = threadCreateAccMsg;
    }

    public ThreadStatus getThreadLogin() {
        return threadLogin;
    }

    public void setThreadLogin(ThreadStatus threadLogin) {
        this.threadLogin = threadLogin;
    }

    public String getThreadLoginMsg() {
        return threadLoginMsg;
    }

    public void setThreadLoginMsg(String threadLoginMsg) {
        this.threadLoginMsg = threadLoginMsg;
    }

}
