package de.hdm_stuttgart.battlearena.Model.Sound;

public enum SFX {
    //Poweup Sounds
    POWERUP("src/main/resources/sound/sfx/otSFX/powerup.mp3"),
    COIN_COLLECTED("src/main/resources/sound/sfx/otSFX/powerups/drop-coins.mp3"),

    //Bomb
    BOMB("src/main/resources/sound/sfx/otSFX/bomb/BombSound.wav"),


    //Attack Sounds
    SWORD_HIT("src/main/resources/sound/sfx/otSFX/attack/Sword_hit1.wav"),
    SWORD_SWING("src/main/resources/sound/sfx/otSFX/attack/Sword_swing.wav"),

    //Destruction Sounds
    WOOD_Destruction("src/main/resources/sound/sfx/otSFX/destruction/WoodDestruction.wav"),

    //Die Sounds
    DEAD("src/main/resources/sound/sfx/otSFX/dieSounds/body-falling-to-ground.mp3");

    private String path;

    SFX(String path) {
        this.path = path;
    }

    public String getPath() {
        return path;
    }
}
